### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.storedprocess.metadata

# Class OutputParameter

java.lang.Object
com.sas.services.storedprocess.metadata.OutputParameter

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class OutputParameter extends Object implements Serializable
Design time output parameter.

Since:
  9.2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `TYPE_DATE`
  `static String`
  `TYPE_DOUBLE`
  `static String`
  `TYPE_INTEGER`
  `static String`
  `TYPE_STRING`
  `static String`
  `TYPE_TIME`
  `static String`
  `TYPE_TIMESTAMP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputParameter()`
  Constructs an empty output parameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description.
  `String`
  `getLabel()`
  Returns the label.
  `String`
  `getName()`
  Returns the name of the output parameter.
  `String`
  `getType()`
  Returns the type of the output parameter.
  `void`
  `setDescription(String description)`
  Sets the description.
  `void`
  `setLabel(String label)`
  Sets the label.
  `void`
  `setName(String name)`
  Returns the name of the output parameter.
  `void`
  `setType(String type)`
  Returns the type of the output parameter.
  `void`
  `validate()`
  Validates the OutputParameter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_DATE

    public static String TYPE_DATE

  - ### TYPE_DOUBLE

    public static String TYPE_DOUBLE

  - ### TYPE_INTEGER

    public static String TYPE_INTEGER

  - ### TYPE_TIME

    public static String TYPE_TIME

  - ### TYPE_TIMESTAMP

    public static String TYPE_TIMESTAMP

  - ### TYPE_STRING

    public static String TYPE_STRING

- ## Constructor Details

  - ### OutputParameter

    public OutputParameter()
    Constructs an empty output parameter.

- ## Method Details

  - ### getDescription

    public String getDescription()
    Returns the description.

  - ### getLabel

    public String getLabel()
    Returns the label.

  - ### getName

    public String getName()
    Returns the name of the output parameter.

  - ### getType

    public String getType()
    Returns the type of the output parameter. The type is one of
    - `TYPE_DATE`
    - `TYPE_DOUBLE`
    - `TYPE_INTEGER`
    - `TYPE_TIME`
    - `TYPE_TIMESTAMP`
    - `TYPE_STRING`

  - ### setDescription

    public void setDescription(String description)
    Sets the description.

  - ### setLabel

    public void setLabel(String label)
    Sets the label.

  - ### setName

    public void setName(String name)
    Returns the name of the output parameter.

  - ### setType

    public void setType(String type)
    Returns the type of the output parameter. The type is one of
    - `TYPE_DATE`
    - `TYPE_DOUBLE`
    - `TYPE_INTEGER`
    - `TYPE_TIME`
    - `TYPE_TIMESTAMP`
    - `TYPE_STRING`

  - ### validate

    public void validate() throws ServiceException
    Validates the OutputParameter. There is no requirement for consumer code to call this method. The name and type are validated. The name should be non-empty and satisfy the requirements of `Names.validateSASVariableName()`. The type should be one of the types listed in `setType(String)`.
    Throws:
      `ServiceException` - if validation fails